local M = {}
local conf = require('user.modules.ui.config')

M['goolord/alpha-nvim'] = {
    event = 'VimEnter',
    config = conf.dashboard,
}
M['feline-nvim/feline.nvim'] = {
    event = 'VimEnter',
    wants = 'nvim-web-devicons',
    config = conf.statusline,
}
M['akinsho/bufferline.nvim'] = {
    event = { 'BufRead', 'BufNewFile' },
    config = conf.bufferline,
}
M['kyazdani42/nvim-tree.lua'] = {
    cmd = {
        'NvimTreeToggle',
        'NvimTreeOpen',
        'NvimTreeFindFile',
        'NvimTreeFindFileToggle',
    },
    config = conf.nvimtree,
}

return M
